Startseite    Forum    Suchen    FAQ    Registrieren    Login


Neues Thema eröffnen  Dieses Thema ist gesperrt, du kannst keine Beiträge editieren oder beantworten. 
Seite 1 von 1
 
 
IP 2.0.0.86 Und Php 5.4.4
Autor Nachricht
Antworten mit Zitat   Beitrag herunterladen  
Beitrag IP 2.0.0.86 Und Php 5.4.4 
 
Hi,

ein Kollege, dem ich voller Stolz das Icy Phönix zeigte und eine ganze Ecke mehr von software versteht als wie ich, hat mir mitgeteilt das IP ab der php Version 5.4.4 nicht mehr läuft wenn GZIP aktiviert ist.

Liegt das am noch "alten" phpbb2 Kern? Ist da was geplant?

Grüße, Micha
 



 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Denke es liegt nur an der GZIP funktion mit Php 5.4.4. Den damit gibt es in der aktuellen phpBB 3.0.10 auch ein Bug. Übrigens die gleiche Fehlermeldung bei Aktivierung von gzip wie hier im System. Dies ist aber in der phpBB Version 3.0.11-RC2  behoben.

[Icy Phoenix Debug] PHP Notice: in file /adm/page_header_admin.php on line 49: ob_start(): output handler 'ob_gzhandler' conflicts with 'zlib output compression'

Für den obigen Beitrag habe ich folgende Lösung gefunden Link
?Wie kann man helfen wenn man keine Links posten kann?
Suche mit google [BUG] Icy Phoenix 2.0 Fatal Error: Call-time Pass-by-reference Has Been Removed
Desweiteren gibt es im ACP noch ein weiteren Bug. Dier Downloadbereich läst sich nicht konfigurieren. Bei allen Einstellungsmöglichkeiten erscheint eine weiße Seite.
 



 
Zuletzt bearbeitet von wintstar am Fr 03 Aug, 2012 22:12, insgesamt 6-mal bearbeitet 
wintstar - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Hi Winstar,

den Fehler hattest du doch bei mir festgestellt?

Ich hab das mit Google gesucht, gefunden und die Anweisungen befolgt. Der String war sauber und so wie er im Ergebnis aussehen sollte. Ich brauchte also nichts ändern.
https://github.com/Nami-Doc/icy_pho...bc35900aebfa60c
Kann das noch was anderes sein? Oder war das was falsches?

Grüße, Micha
 



 
Zuletzt bearbeitet von Michel_61 am Fr 03 Aug, 2012 23:52, insgesamt 2-mal bearbeitet 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Nein, auf meinem Testserver. Der läuft mit php 5.4.4 Hab mir fix mal ein Testboard mit dieser Forensoftware installiert.

Liegt an gzip Funktion mit php 5.4.4

wintstar hat folgendes geschrieben:  
Denke es liegt nur an der GZIP funktion mit Php 5.4.4. Den damit gibt es in der aktuellen phpBB 3.0.10 auch ein Bug. Übrigens die gleiche Fehlermeldung bei Aktivierung von gzip wie hier im System. Dies ist aber in der phpBB Version 3.0.11-RC2  behoben.

 



 
Zuletzt bearbeitet von wintstar am Sa 04 Aug, 2012 8:19, insgesamt einmal bearbeitet 
wintstar - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Das mit GZIP ist bekannt... danke aber für den Hinweis, ich werde es noch einmal mit MG besprechen.

Als Zwischenlösung kann man das in der .htaccess eintragen:
php_value zlib.output_compression off

Sollte klappen
 




_______________________
TheSteffen
Oft ist die SUCHE der schnellste Weg Hilfe zu bekommen.
IcyPhoenix German Support
 
TheSteffen - Benutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Hallo,

hab das mal in die .htacces eingetragen.

IP habe ich neu installiert, mal sehen in welchem Plugin der Fehler war.
Problem, ich komm nicht mehr rein, Installation lief, DB-Zugriff auch o.k.

Fehlermeldung:
Zitat:
Die Webseite, die Sie öffnen möchten, kann nicht angezeigt werden, da sie eine ungültige oder unbekannte Form der Kompression verwendet.


Kann das mit dem php 5.4.4 zusammenhängen? Ich weiss im moment nicht welche php-Version installiert ist, seit 2 Stunden funktioniert mein zugang zum Plesk nicht mehr, vielleicht updaten die ja gerade....

Gruß, Micha
 



 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
da hilft gzip erst mal auszuschalten

muss aber bei nicht funktionierendem IP manuell über phpmyadmin bzw mysqldumper gemacht werden

in der tabelle icy_config nach gzip_compress suchen und auf 0 setzen
 




_______________________
icyphoenix.com user New Player
 
Carsten - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Jo, Danke,

der Eintrag in der .htacces hat jedenfalls nicht geholfen und da ich das forum nicht gestartet bekomme muss ich warten bis mein Provider aus dem Kreuz kommt.

Unglaublich, gestern abend ein supportticket gelöst und heut Mittag wusste der noch von nichts

Gruß, Micha

EDIT: So, alles gelöscht, zugang zum Plesk auch wieder o.k. und alles frisch installiert. Gleiche Fehlermeldung wie vorher, hat aber Dank deiner Hilfe und dem Tip zur Datenbanktabelle geklappt.
Nachgeschaut, php 5.2.13 Version ist installiert.

Jetzt bin ich ein wenig Ratlos, weil is ja noch nicht die 5.4.4. aber, wenn ich mich recht entsinne, hab ich das IP ja nochmals neu runtergeladen, diesmal nicht von GitHub, sondern aus dem englischsprachigen Forum. Die Dateien sind vom 28.07.12, also eigentlich ja recht aktuell?
 



 
Zuletzt bearbeitet von Michel_61 am Mo 06 Aug, 2012 14:12, insgesamt einmal bearbeitet 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
leere mal deinen browser cache

alle möglichen Probleme die php 5.4 erzeugt können bei dir ja nicht auftreten. mit php 5.2 gab es nie probleme

IP 2.0 ist einfach nur der git-Stand vom 28.07. also alles ok
 




_______________________
icyphoenix.com user New Player
 
Carsten - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Hi,
den Browsercache leere ich immer mit Strg + F5 sobald ein Problem auftaucht. Auch die Cookies schmeisse ich wenn es mit dem aktualisieren nicht klappt, runter und leere den Verlauf.

Kein Erfolg, erst mit dem Eintrag in der DB-Tabelle klappte es.

Gruß, Micha

EDIT: Dafür aber noch der Fehler: Warning: Call-time pass-by-reference has been deprecated in /home/... ..../includes/album_mod/album_functions.php on line 1035
Ich lad mir zum vergleich nochmal die GitHub Version runter, letzte aktualisierung vor 4 Tagen....
 



 
Zuletzt bearbeitet von Michel_61 am Mo 06 Aug, 2012 18:04, insgesamt einmal bearbeitet 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
What ever,

von GitHub nochmals neu runtergeladen, 2 Dateien weniger im Root als wie der Download aus dem Forum.
Im GitHub neben der .htacces noch eine .project anstatt in der anderen Version eine .gitattributes Datei.
Das sind mal die ersten augenscheinlichsten Unterschiede, bin nicht weiter vergleichen gewesen.

Nun, die Version funktioniert auf Anhieb, ohne Meldung von wegen Komprimierung, oder den Fehler aus dem Album.
 



 
Zuletzt bearbeitet von Michel_61 am Mo 06 Aug, 2012 18:43, insgesamt einmal bearbeitet 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
richtig in der git version wurde das problem mit php 5.4 zum teil bereits behoben

aber hier stimmt was nicht:

wenn du sagst es ist php 5.2.13 installiert dann kann nicht dieser fehler kommen:
Zitat:

Warning: Call-time pass-by-reference has been deprecated in /home/... ..../includes/album_mod/album_functions.php on line 1035


es muss jetzt endlich mal klarheit herrschen

.project und .gitattributes sind im übrigen völlig unwichtig da sie nicht zu IP gehören
 




_______________________
icyphoenix.com user New Player
 
Carsten - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Antworten mit Zitat   Beitrag herunterladen  
Beitrag Re: IP 2.0.0.86 Und Php 5.4.4 
 
Hi,

die Fehlermeldung vom album war nur das ausschlaggebende warum ich denn doch noch die GitHub Version runtergeladen und installiert hab.
Sie ist also für dieses Thema unerheblich, aber ich finde, trotzdem einer Bemerkung wert. Und da das Problem bei der neuerlichen Installation nicht wieder auftrat, habe ich das auch nicht zu einem neuen Thema gemacht. Von mir aus kann es auch aus dem Beitrag gelöscht werden, es sollte nicht meckerhaftig erscheinen

Was das andere betrifft, was soll ich machen? Coder bin ich nicht, bin gerade mal froh darüber das eine oder andere an Kleinigkeiten machen zu können, es mit Glück vielleicht zu verstehen und daraus zu lernen.
Wenn dort augenscheinlich zwei Dateien weniger im ZIP sind und Dateien dabei sind die andere Namen haben, dann nehm ich das mal so zur Kenntnis und berichte darüber. Nicht jeder der das hier liest ist IP-Profi und weiss welche Dateien wichtig sind und dazu gehören müssen. Ich denke mal wenn sie da drin sind, gehören sie auch dazu, wozu sollten sie sonst da sein?

Für meine php Version kann ich nichts, die ist nun mal die, die installiert ist, mir vom Provider bestätigt wurde und im IP ACP angezeigt wird.
Wenn dann eine Fehlermeldung erscheint, ich die nicht zuordnen kann, dann Poste ich das hier, im Zweifel lässt sich via Moderation so etwas auch Teilen oder Verschieben wenn das falsch ist. Wie gesagt, ich bin nicht der Profi, nur Anwender mit ein ganz klein wenig Kenntnissen und ich kann nicht beurteilen wo was hingeschrieben werden muss.
 



 
Michel_61 - Benutzer-Profile anzeigenPrivate Nachricht senden 
Nach obenNach unten
Beiträge der letzten Zeit anzeigen:    
 
AusblendenWar das Thema hilfreich?
Verteile dieses Thema
E-Mail an einen Freund Facebook Twitter Windows Live Favorites MySpace del.icio.us Digg SlashDot google.com LinkedIn StumbleUpon Blogmarks Diigo reddit.com Blinklist co.mments.com
technorati.com DIGG ITA linkagogo.com meneame.net netscape.com newsvine.com yahoo.com Fai Informazione Ok Notizie Segnalo Bookmark IT fark.com feedmelinks.com spurl.net
Verlinke dieses Thema
URL
BBCode
HTML
 

Neues Thema eröffnen  Dieses Thema ist gesperrt, du kannst keine Beiträge editieren oder beantworten.  Seite 1 von 1
 

Benutzer in diesem Thema: Kein registrierter, kein versteckter und ein Gast
Registrierte Benutzer: Keine


 
Berechtigungsliste
Du kannst keine neuen Themen erstellen.
Du kannst nicht auf Beiträge antworten.
Du kannst deine Beiträge nicht bearbeiten.
Du kannst deine Beiträge nicht löschen.
Du kannst nicht an Umfragen teilnehmen.
Du kannst keine anhängen.
Du kannst keine herunterladen.
Du kannst keine Kalender-Ereignisse eintragen.



  

 

cron